add script to run travis tests
diff --git a/.travis.yml b/.travis.yml
index 2a2d9b4..07e0e42 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -3,3 +3,5 @@
 dart:
   - dev
   - stable
+
+script: ./tool/all_tests.sh
diff --git a/tool/all_tests.sh b/tool/all_tests.sh
new file mode 100755
index 0000000..866f2cb
--- /dev/null
+++ b/tool/all_tests.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# Copyright (c) 2015, the Dart project authors.  Please see the AUTHORS file
+# for details. All rights reserved. Use of this source code is governed by a
+# BSD-style license that can be found in the LICENSE file.
+
+# Fast fail the script on failures.
+set -e
+
+# Run the command-line ../tests.
+# TODO(jakemac): Add back once http://dartbug.com/22592 is fixed.
+# dart ../test/deferred_library_test.dart
+dart ../test/init_method_test.dart
+dart ../test/initializer_custom_filter_test.dart
+dart ../test/initializer_cycle_error_test.dart
+dart ../test/initializer_test.dart
+dart ../test/initializer_type_filter_test.dart
+dart ../test/transformer_test.dart